# Ai Quikstart

## Overview

> This project is not supported and is really just for reference... (there was some cool pagination of requests to handle context windows of LLMs)

This repo contains content related to the 'capstone' of an accelerated tutoring series for some CEOs that were interested in learning to code and exploring AI. 

The instructions folder contain the Readmes I put together to help guide them along with building out a simple web app that they were interested in. It also has a mix of things that are done already and some things that aren't. This is because it was worked on in a live instruction setting for them to flex their creativity. As such, follow the instructions at your own risk. 

The demo folder contains some somewhat working code. The OpenAI model that was initially used is no longer supported so I have moved the model declaration to an environment variable. Because my trial has expired and this isn't a production app, I haven't tested that newer models work in the same manner. 

## Screenshots

![Homepage](homepage.png)
![Sorted Transactions](./sortedtransactions.png)

## Getting started
1. Git clone repo
2. cd into /demo
3. `npm install`
4. Rename .env.example to .env
5. Add OpenAI secrets and remove DEMO=true if you want dynamic functionality
6. `npm run dev` to kick of the demo

> Node Version 20 and above required

## Limitations

Lots... This was a demo project 😂 

Some notable call outs though are below. 
1. Categories are hardcoded
2. You're relying on the guessing of an LLM
3. Once transactions are sorted, you must refresh to go again